PDA

View Full Version : Fragment combiner programs not supported?



DrTypo
08-23-2003, 04:13 PM
I'm testing fragment programs with NV_fragment_program extension.
Color fragment programs are working well but combiner programs don't seem to work at all.

For example, even this very simple program doesn't run:
!!FCP1.0
TEX o[TEX0],f[TEX1],TEX1,2D;
END

LoadNVProgram is returning an invalid operation.
There is no error string returned.
Error position is zero.

System spec:
MSI GeForceFX 5900 128Mb
Detonator 45.23
AthlonXP2000+
WinXP SP1

--
DrTypo

jra101
08-23-2003, 04:43 PM
Fragment combiner programs have been removed from the NV_fragment_program spec but the extension specification on SGI's extension registry has not been updated yet.

Get the latest version of the extension spec from here: http://www.nvidia.com/dev_content/nvopenglspecs/GL_NV_fragment_program.txt

DrTypo
08-23-2003, 05:20 PM
Ok...
Well this feature looked like a dirty trick but I like those. http://www.opengl.org/discussion_boards/ubb/biggrin.gif
I guess this means that combiners won't be supported in future hardware...

--
DrTypo